Subject: Re: [PATCH] git-send-pack: Fix --all option when used with directory

From: Stanislav Kolotinskiy <[email-masked]>
Date: Thu, 24 Mar 2016 19:49:13 +0200

On 24/03/16 19:37, Jeff King wrote:
> I guess a follow-up to my question is: what does "git send-pack" do that
> "git push" does not? Again, this is just for my curiosity (the answer
> may be "nothing, we just happened to build our scripts around
> send-pack", and that is perfectly fine).
Well, this is some really old code (eight years old), and git version 
used at the moment was around 1.6. So I'm pretty much sure that it just 
happened to be the decision of the developer that wrote this piece of code.

--
Stanislav